// COPYRIGHT (C) 1990-1999.  All Rights Reserved. - POPUP.HPP
// Zinc Software Incorporated.  Pleasant Grove, Utah  USA
// May be freely copied, used and distributed.

const ZafEventType BEEP_EVENT = 10000;

class PopupWindow : public ZafWindow
{
public:
	PopupWindow(void);
	~PopupWindow(void);
	ZafEventType Event(const ZafEventStruct &event);
	ZafPopUpMenu *PopupMenu(ZafPositionStruct position);
	static ZafEventType Beep(ZafWindowObject *object, ZafEventStruct &, ZafEventType ccode);

protected:
	ZafPopUpMenu *popup;
};
